CMSIS-Driver: CAN Bus Communication Mode

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations
CAN Bus Communication Mode
CAN Control Codes

Set or initialize the CAN bus. More...

## Enumerations

enum | ARM_CAN_MODE { ARM_CAN_MODE_INITIALIZATION, ARM_CAN_MODE_NORMAL, ARM_CAN_MODE_RESTRICTED, ARM_CAN_MODE_MONITOR, ARM_CAN_MODE_LOOPBACK_INTERNAL, ARM_CAN_MODE_LOOPBACK_EXTERNAL }

## Description

Set or initialize the CAN bus.

## Enumeration Type Documentation

enum ARM_CAN_MODE

The enumerations below initialize and set the bus communication mode.

Parameter for:

- ARM_CAN_SetMode

Enumerator
ARM_CAN_MODE_INITIALIZATION | Initialization mode.
ARM_CAN_MODE_NORMAL | Normal operation mode.
ARM_CAN_MODE_RESTRICTED | Restricted operation mode.
ARM_CAN_MODE_MONITOR | Bus monitoring mode.
ARM_CAN_MODE_LOOPBACK_INTERNAL | Loopback internal mode.
ARM_CAN_MODE_LOOPBACK_EXTERNAL | Loopback external mode.